JUCE: AccessibilityValueInterface::AccessibleValueRange Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
AccessibilityValueInterface::AccessibleValueRange Class Reference
juce_gui_basics » accessibility

Represents the range of this value, if supported. More...

`#include <juce_AccessibilityValueInterface.h>`

## Classes
struct | MinAndMax
| The minimum and maximum values for this range, inclusive. More...

## Public Member Functions
| AccessibleValueRange ()=default
| Constructor.
| AccessibleValueRange (MinAndMax valueRange, double interval)
| Constructor.
bool | isValid () const noexcept
| Returns true if this represents a valid range.
double | getMinimumValue () const noexcept
| Returns the minimum value for this range.
double | getMaximumValue () const noexcept
| Returns the maximum value for this range.
double | getInterval () const noexcept
| Returns the interval for this range.

## Detailed Description

Represents the range of this value, if supported.

Return one of these from the `getRange()` method, providing a minimum, maximum, and interval value for the range to indicate that this is a ranged value.

The default state is an "invalid" range, indicating that the accessibility element does not support ranged values.

See also
  AccessibilityRangedNumericValueInterface

## Constructor & Destructor Documentation

## ◆ AccessibleValueRange() [1/2]

AccessibilityValueInterface::AccessibleValueRange::AccessibleValueRange | ( |  | ) |
| default

Constructor.

Creates a default, "invalid" range that can be returned from `AccessibilityValueInterface::getRange()` to indicate that the value interface does not support ranged values.

## ◆ AccessibleValueRange() [2/2]

AccessibilityValueInterface::AccessibleValueRange::AccessibleValueRange | ( | MinAndMax | valueRange,
|  | double | interval
| ) |  |

Constructor.

Creates a valid AccessibleValueRange with the provided minimum, maximum, and interval values.

References jassert.

## Member Function Documentation

## ◆ isValid()

bool AccessibilityValueInterface::AccessibleValueRange::isValid | ( |  | ) | const
| noexcept

Returns true if this represents a valid range.

## ◆ getMinimumValue()

double AccessibilityValueInterface::AccessibleValueRange::getMinimumValue | ( |  | ) | const
| noexcept

Returns the minimum value for this range.

## ◆ getMaximumValue()

double AccessibilityValueInterface::AccessibleValueRange::getMaximumValue | ( |  | ) | const
| noexcept

Returns the maximum value for this range.

## ◆ getInterval()

double AccessibilityValueInterface::AccessibleValueRange::getInterval | ( |  | ) | const
| noexcept

Returns the interval for this range.

The documentation for this class was generated from the following file:

- juce_AccessibilityValueInterface.h